﻿Import-Module StarWindX

try
{
    Enable-SWXLog

    $servers = @()

    $devicename = "HAImage1"
    $servers += New-SWServer 192.168.1.21 3261 root starwind
    $servers += New-SWServer 192.168.1.22 3261 root starwind

    foreach($server in $servers)
    {
        $server.Connect()
        write-host "Server:" $server.IP "-" $devicename -foreground yellow
        foreach($device in $server.Devices)
        {
            if ($device.Name -eq $devicename) {
                switch ($device.SyncStatus){
                    1 {$status = "synchronized"}
                    2 {$status = "synchronizing"}
                    3 {$status = "not synchronized"}
                    default {$status = "UNDEFINED"}
                }
                write-host "SyncStatus:" $status
                write-host "SyncPercent:" $device.SyncPercent "%"
            }
        }
        $server.Disconnect()
        write-host "-----------"
    }
}
catch
{
    Write-Host $_ -foreground red
}
finally
{   
}
