param
    (
    $addr1="192.168.1.21",
    $addr2="192.168.1.22",
    $port=3261,
    $user="root",
    $password="starwind"
    )

Import-Module StarWindX

try
{
	Enable-SWXLog

	$server = New-SWServer -host $addr -port $port -user $user -password $password

	$server.Connect()

	write-host "VSAN01 Targets:" -foreground yellow
	foreach($target in $server.Targets)
	{
		$target
	}
    
	write-host "VSAN01 Devices:" -foreground yellow
	foreach($device in $server.Devices)
	{
		$device
	}

	$server2 = New-SWServer -host $addr2 -port $port -user $user -password $password

	$server2.Connect()


	write-host "VSAN02 Targets:" -foreground yellow
	foreach($target2 in $server2.Targets)
	{
		$target2
	}
    
	write-host "VSAN02 Devices:" -foreground yellow
	foreach($device2 in $server2.Devices)
	{
		$device2
	}


}
catch
{
	Write-Host $_ -foreground red
}
finally
{    
	$server.Disconnect()
    $server2.Disconnect()
}
