param($addr="192.168.1.21", $port=3261, $user="root", $password="starwind", $deviceName="HAImage1")

Import-Module StarWindX

try
{
	Enable-SWXLog

	$server = New-SWServer $addr $port $user $password

	$server.Connect()

	$device = Get-Device $server -name $deviceName

	$device.MarkAsSynchronized()

    if( !$device )
	{
		Write-Host "Device not found" -foreground red
		return
	}

	if($device.SyncStatus -ne [SwHaSyncStatus]::SW_HA_SYNC_STATUS_SYNC)
	{
		Write-Host "Synchronize device $($device.name)" -foreground yellow
		$device.Synchronize([SwHaSyncType]::SW_HA_SYNC_FULL, "")
		#$device.MarkAsSynchronized()
	}
	else
	{
		Write-Host "Device $($device.name) is synchronized" -foreground yellow
	}
}
catch
{
	Write-Host $_ -foreground red
}
finally
{
	$server.Disconnect()
}
